Subject: Re: bug#10349: tail: fix --follow on FhGFS remote file systems

From: "Alan Curry" <[email-masked]>
Date: Thu, 22 Dec 2011 16:50:44 -0500 (GMT+5)

Bob Proulx writes:
> 
> Jim Meyering wrote:
> > Are there so many new remote file systems coming into use now?
> > That are not listed in /usr/include/linux/magic.h?
> 
> The past can always be enumerated.  The future is always changing.  It
> isn't possible to have a complete list of future items.  It is only
> possible to have a complete list of past items.  The future is not yet
> written.

Between past and future is the present, i.e. the currently running kernel.
Shouldn't it return an error when you use an interface that isn't implemented
by the underlying filesystem? Why doesn't this happen?

-- 
Alan Curry